{'application':{'type':'Application',
          'name':'Template',
    'backgrounds': [
    {'type':'Background',
          'name':'bgTemplate',
          'title':u'Status Effect - Normal Edition',
          'size':(962, 526),
          'style':['resizeable'],

        'menubar': {'type':'MenuBar',
         'menus': [
             {'type':'Menu',
             'name':'menuFile',
             'label':'&File',
             'items': [
                  {'type':'MenuItem',
                   'name':'menuFileExit',
                   'label':'E&xit',
                   'command':'exit',
                  },
              ]
             },
         ]
     },
         'components': [

{'type':'BitmapCanvas', 
    'name':'StatusBarCopy', 
    'position':(11, 5), 
    'size':(512, 80), 
    'backgroundColor':(255, 255, 255, 255), 
    },

{'type':'BitmapCanvas', 
    'name':'GFXBigCopy', 
    'position':(10, 100), 
    'size':(512, 256), 
    'backgroundColor':(255, 255, 255, 255), 
    },

{'type':'Button', 
    'name':'Uninstall', 
    'position':(74, 405), 
    'size':(250, -1), 
    'label':u'Uninstall Super Status Bar', 
    },

{'type':'Spinner', 
    'name':'PrioritySpinner', 
    'position':(600, 392), 
    'size':(40, -1), 
    'max':1, 
    'min':0, 
    'value':1, 
    },

{'type':'CheckBox', 
    'name':'BGGrid', 
    'position':(600, 440), 
    'size':(127, -1), 
    'label':u'Grid lines (GFX)', 
    },

{'type':'CheckBox', 
    'name':'SBGrid', 
    'position':(600, 420), 
    'size':(127, -1), 
    'label':u'Grid lines (status bar)', 
    },

{'type':'Button', 
    'name':'Redo', 
    'position':(209, 430), 
    'size':(45, -1), 
    'label':u'Redo', 
    },

{'type':'BitmapCanvas', 
    'name':'GFXBig', 
    'position':(10, 100), 
    'size':(512, 256), 
    'backgroundColor':(255, 255, 255, 255), 
    'visible':False, 
    },

{'type':'StaticText', 
    'name':'FreeRAMt', 
    'position':(9, 456), 
    'text':u'FreeRAM', 
    },

{'type':'TextField', 
    'name':'FreeRAM', 
    'position':(1, 430), 
    'size':(71, 23), 
    'text':u'7FA000', 
    },

{'type':'Button', 
    'name':'FindFree', 
    'position':(336, 405), 
    'size':(87, 24), 
    'label':u'Find Freespace', 
    },

{'type':'StaticText', 
    'name':'FreespaceT', 
    'position':(8, 406), 
    'text':u'FreeSpace', 
    },

{'type':'Button', 
    'name':'LoadSave', 
    'position':(728, 116), 
    'size':(114, 24), 
    'enabled':False, 
    'label':u'LoadSaveState', 
    'visible':False, 
    },

{'type':'Button', 
    'name':'SaveSettings', 
    'position':(336, 430), 
    'size':(87, 24), 
    'label':u'Save Settings', 
    'visible':False, 
    },

{'type':'RadioGroup', 
    'name':'GFXLoad', 
    'position':(690, 0), 
    'size':(236, 59), 
    'items':['Manual GFX load from .bin files', 'Automatic GFX load from ROM'], 
    'label':u'GFX/palette load', 
    'layout':'vertical', 
    'max':1, 
    'stringSelection':u'Manual GFX load from .bin files', 
    },

{'type':'TextField', 
    'name':'GFXNum4', 
    'position':(820, 90), 
    'size':(25, 24), 
    'enabled':False, 
    'text':u'2B', 
    },

{'type':'TextField', 
    'name':'GFXNum3', 
    'position':(790, 90), 
    'size':(25, 24), 
    'enabled':False, 
    'text':u'2A', 
    },

{'type':'TextField', 
    'name':'GFXNum2', 
    'position':(760, 90), 
    'size':(25, 24), 
    'enabled':False, 
    'text':u'29', 
    },

{'type':'TextField', 
    'name':'GFXNum1', 
    'position':(730, 90), 
    'size':(25, 24), 
    'enabled':False, 
    'text':u'28', 
    },

{'type':'StaticText', 
    'name':'Pri', 
    'position':(601, 374), 
    'size':(46, -1), 
    'text':u'Priority', 
    },

{'type':'BitmapCanvas', 
    'name':'tiletemp', 
    'position':(539, 36), 
    'size':(88, 21), 
    'backgroundColor':(255, 255, 255, 255), 
    'visible':False, 
    },

{'type':'Button', 
    'name':'Counter', 
    'position':(600, 75), 
    'size':(88, 24), 
    'label':u'Edit Counters', 
    },

{'type':'Button', 
    'name':'MakeCounter', 
    'position':(336, 380), 
    'size':(87, 24), 
    'label':u'Make Counter', 
    'visible':False, 
    },

{'type':'BitmapCanvas', 
    'name':'tile', 
    'position':(540, 12), 
    'size':(16, 16), 
    'backgroundColor':(255, 255, 255, 255), 
    },

{'type':'BitmapCanvas', 
    'name':'Pal8', 
    'position':(600, 348), 
    'size':(80, 20), 
    'backgroundColor':(255, 255, 255, 255), 
    },

{'type':'BitmapCanvas', 
    'name':'Pal7', 
    'position':(600, 318), 
    'size':(80, 20), 
    'backgroundColor':(255, 255, 255, 255), 
    },

{'type':'BitmapCanvas', 
    'name':'Pal6', 
    'position':(600, 288), 
    'size':(80, 20), 
    'backgroundColor':(255, 255, 255, 255), 
    },

{'type':'BitmapCanvas', 
    'name':'Pal5', 
    'position':(600, 258), 
    'size':(80, 20), 
    'backgroundColor':(255, 255, 255, 255), 
    },

{'type':'BitmapCanvas', 
    'name':'Pal4', 
    'position':(600, 228), 
    'size':(80, 20), 
    'backgroundColor':(255, 255, 255, 255), 
    },

{'type':'BitmapCanvas', 
    'name':'Pal3', 
    'position':(600, 198), 
    'size':(80, 20), 
    'backgroundColor':(255, 255, 255, 255), 
    },

{'type':'BitmapCanvas', 
    'name':'Pal2', 
    'position':(600, 168), 
    'size':(80, 20), 
    'backgroundColor':(255, 255, 255, 255), 
    },

{'type':'BitmapCanvas', 
    'name':'Pal1', 
    'position':(600, 138), 
    'size':(80, 20), 
    'backgroundColor':(255, 255, 255, 255), 
    },

{'type':'BitmapCanvas', 
    'name':'StatusBar', 
    'position':(10, 5), 
    'size':(512, 80), 
    'backgroundColor':(255, 255, 255, 255), 
    'visible':False, 
    },

{'type':'TextField', 
    'name':'Freespace', 
    'position':(1, 380), 
    'size':(71, 23), 
    'text':u'138000', 
    },

{'type':'Button', 
    'name':'InstPatch', 
    'position':(74, 380), 
    'size':(250, 24), 
    'label':u'Install Super Status Bar', 
    },

{'type':'Button', 
    'name':'ROM', 
    'position':(600, 0), 
    'size':(88, 24), 
    'label':u'Choose ROM', 
    },

{'type':'Button', 
    'name':'Undo', 
    'position':(141, 430), 
    'size':(45, 24), 
    'label':u'Undo', 
    },

{'type':'Button', 
    'name':'Revert', 
    'position':(278, 430), 
    'size':(45, 24), 
    'label':u'Revert', 
    },

{'type':'Button', 
    'name':'Save', 
    'position':(74, 430), 
    'size':(45, 24), 
    'label':u'Save', 
    },

{'type':'CheckBox', 
    'name':'FlipY', 
    'position':(600, 122), 
    'label':u'FlipY', 
    },

{'type':'CheckBox', 
    'name':'FlipX', 
    'position':(600, 106), 
    'label':u'Flip X', 
    },

{'type':'Button', 
    'name':'ImpGfx', 
    'position':(600, 49), 
    'size':(88, 24), 
    'label':u'Import Gfx', 
    },

{'type':'Button', 
    'name':'ImpPal', 
    'position':(600, 24), 
    'size':(88, 24), 
    'label':u'Import Palette', 
    },

] # end components
} # end background
] # end backgrounds
} }
